<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>

<body>
    <main>
        <div>
            <h1>{{ todo_detail.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_detail.id %}">Edit</a>
                <a href="{% url 'todo_list_delete' todo_detail.id %}">Delete</a>
                <a href="{% url 'todo_item_update' todo_detail.id%}">Update Item</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task:</th>
                        <th>Due Date:</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in todo_detail.items.all %}
                    <tr>
                        <td><a href="{% url 'todo_item_update' todo_detail.id %}">{{ item.task }}</a></td>
                        <td><a href="{% url 'todo_item_update' todo_detail.id %}">{{ item.due_date }}</a></td>
                    </tr>

                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>

</html>
